Subject: Re: [PATCH] diff-tree: do not show the sha1 of the given head with --quiet

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Jul 2015 09:38:01 -0700

Sebastian Schuberth <[email-masked]> writes:

> Well, from a user's perspective it does not matter which part of the
> internal implementation of diff-tree is responsible for printing that
> single line,...

That is not "internal implementation", but "logically separate
parts".  View it more like "'git show -s' does squelch the diff part
but does not squelch the log output".  After all, a single commit form
of 'diff-tree' is a degenerate use case of feeding a single commit
to 'diff-tree --stdin' from its standard input, which is a rough
plumbing-level equivalent of 'show'.

Documenting the behaviour correctly is the best thing you could do
at this point, as this is one of the oldest part of the system that
existing scripts would rely on.